Loading...
Searching...
No Matches
opengv::relative_pose::NoncentralRelativeAdapter Class Reference

`#include <NoncentralRelativeAdapter.hpp>`

Inheritance diagram for opengv::relative_pose::NoncentralRelativeAdapter:

## Public Member Functions

| NoncentralRelativeAdapter (const bearingVectors_t &bearingVectors1, const bearingVectors_t &bearingVectors2, const camCorrespondences_t &camCorrespondences1, const camCorrespondences_t &camCorrespondences2, const translations_t &camOffsets, const rotations_t &camRotations)
| Constructor. See protected class-members to understand parameters.
| NoncentralRelativeAdapter (const bearingVectors_t &bearingVectors1, const bearingVectors_t &bearingVectors2, const camCorrespondences_t &camCorrespondences1, const camCorrespondences_t &camCorrespondences2, const translations_t &camOffsets, const rotations_t &camRotations, const rotation_t &R12)
| Constructor. See protected class-members to understand parameters.
| NoncentralRelativeAdapter (const bearingVectors_t &bearingVectors1, const bearingVectors_t &bearingVectors2, const camCorrespondences_t &camCorrespondences1, const camCorrespondences_t &camCorrespondences2, const translations_t &camOffsets, const rotations_t &camRotations, const translation_t &t12, const rotation_t &R12)
| Constructor. See protected class-members to understand parameters.
virtual | ~NoncentralRelativeAdapter ()
| Destructor.
virtual bearingVector_t | getBearingVector1 (size_t index) const
virtual bearingVector_t | getBearingVector2 (size_t index) const
virtual double | getWeight (size_t index) const
virtual translation_t | getCamOffset1 (size_t index) const
virtual rotation_t | getCamRotation1 (size_t index) const
virtual translation_t | getCamOffset2 (size_t index) const
virtual rotation_t | getCamRotation2 (size_t index) const
virtual size_t | getNumberCorrespondences () const
Public Member Functions inherited from opengv::relative_pose::RelativeAdapterBase
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | RelativeAdapterBase ()
| Constructor.
| RelativeAdapterBase (const rotation_t &R12)
| Constructor.
| RelativeAdapterBase (const translation_t &t12, const rotation_t &R12)
| Constructor.
virtual | ~RelativeAdapterBase ()
| Destructor.
opengv::translation_t | gett12 () const
| Retrieve the prior or known value for the relative position.
void | sett12 (const opengv::translation_t &t12)
| Set the prior or known value for the relative position.
opengv::rotation_t | getR12 () const
| Retrieve the prior or known value for the relative rotation.
void | setR12 (const opengv::rotation_t &R12)
| Set the prior or known value for the relative rotation.

## Public Attributes

EIGEN_MAKE_ALIGNED_OPERATOR_NEW typedef std::vector< int > | camCorrespondences_t

## Protected Attributes

const bearingVectors_t & | _bearingVectors1
const bearingVectors_t & | _bearingVectors2
const camCorrespondences_t & | _camCorrespondences1
const camCorrespondences_t & | _camCorrespondences2
const translations_t & | _camOffsets
const rotations_t & | _camRotations
opengv::translation_t | _t12
opengv::rotation_t | _R12
Protected Attributes inherited from opengv::relative_pose::RelativeAdapterBase
opengv::translation_t | _t12
opengv::rotation_t | _R12

## Detailed Description

Check the documentation of the parent-class to understand the meaning of a RelativeAdapter. This child-class is for the non-central case and holds data in form of references to opengv-types.

## Member Function Documentation

## getBearingVector1()

virtual bearingVector_t opengv::relative_pose::NoncentralRelativeAdapter::getBearingVector1 | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeAdapterBase.

## getBearingVector2()

virtual bearingVector_t opengv::relative_pose::NoncentralRelativeAdapter::getBearingVector2 | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeAdapterBase.

## getCamOffset1()

virtual translation_t opengv::relative_pose::NoncentralRelativeAdapter::getCamOffset1 | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeAdapterBase.

## getCamOffset2()

virtual translation_t opengv::relative_pose::NoncentralRelativeAdapter::getCamOffset2 | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeAdapterBase.

## getCamRotation1()

virtual rotation_t opengv::relative_pose::NoncentralRelativeAdapter::getCamRotation1 | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeAdapterBase.

## getCamRotation2()

virtual rotation_t opengv::relative_pose::NoncentralRelativeAdapter::getCamRotation2 | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeAdapterBase.

## getNumberCorrespondences()

virtual size_t opengv::relative_pose::NoncentralRelativeAdapter::getNumberCorrespondences | ( |  | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeAdapterBase.

## getWeight()

virtual double opengv::relative_pose::NoncentralRelativeAdapter::getWeight | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeAdapterBase.

## Member Data Documentation

## _bearingVectors1

const bearingVectors_t& opengv::relative_pose::NoncentralRelativeAdapter::_bearingVectors1

protected

Reference to bearing-vectors in viewpoint 1. (expressed in their individual cameras)

## _bearingVectors2

const bearingVectors_t& opengv::relative_pose::NoncentralRelativeAdapter::_bearingVectors2

protected

Reference to bearing-vectors in viewpoint 2. (expressed in their individual cameras)

## _camCorrespondences1

const camCorrespondences_t& opengv::relative_pose::NoncentralRelativeAdapter::_camCorrespondences1

protected

Reference to an array of camera-indices for the bearing vectors in viewpoint 1. Length equals to number of bearing-vectors in viewpoint 1, and elements are indices of cameras in the _camOffsets and _camRotations arrays.

## _camCorrespondences2

const camCorrespondences_t& opengv::relative_pose::NoncentralRelativeAdapter::_camCorrespondences2

protected

Reference to an array of camera-indices for the bearing vectors in viewpoint 2. Length equals to number of bearing-vectors in viewpoint 2, and elements are indices of cameras in the _camOffsets and _camRotations arrays.

## _camOffsets

const translations_t& opengv::relative_pose::NoncentralRelativeAdapter::_camOffsets

protected

Reference to positions of the different cameras seen from their viewpoint.

## _camRotations

const rotations_t& opengv::relative_pose::NoncentralRelativeAdapter::_camRotations

protected

Reference to rotations from the different cameras back to their viewpoint.

## _R12

opengv::rotation_t opengv::relative_pose::RelativeAdapterBase::_R12

protected

Prior or known value for the rotation from viewpoint 2 back to viewpoint 1. Initialized to identity if not provided.

## _t12

opengv::translation_t opengv::relative_pose::RelativeAdapterBase::_t12

protected

Prior or known value for the position of viewpoint 2 seen from viewpoint 1. Initialized to zero if not provided.

## camCorrespondences_t

EIGEN_MAKE_ALIGNED_OPERATOR_NEW typedef std::vector<int> opengv::relative_pose::NoncentralRelativeAdapter::camCorrespondences_t

A type defined for the camera-correspondences, see protected class-members

The documentation for this class was generated from the following file:

- include/opengv/relative_pose/NoncentralRelativeAdapter.hpp